package genesom;


public class LinearDecayModel
  extends DecayModel
{

  protected double f;

  public boolean init() {

    if(super.init()) return true;

    f = to - from;
    f /= span;

    return false;
  }

  protected double calcResult(double x) { return x * f + from; }
}

